Bug 1927902 - i18n Cluster Utilization dashboard duration
Summary: i18n Cluster Utilization dashboard duration
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 4.7
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: ---
: 4.8.0
Assignee: ralpert
QA Contact: Yadan Pei
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-02-11 19:25 UTC by ralpert
Modified: 2021-07-27 22:44 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: Dashboard duration times were not internationalized. Consequence: Text was not translated (poor user experience). Fix: Internationalized times. Result: Bug is fixed.
Clone Of:
Environment:
Last Closed: 2021-07-27 22:43:44 UTC
Target Upstream Version:


Attachments (Terms of Use)
i18n-duration (34.24 KB, image/png)
2021-03-29 05:41 UTC, Yanping Zhang
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 8332 0 None open Bug 1927902: i18n Cluster Utilization dashboard durations 2021-03-08 21:27:19 UTC
Red Hat Product Errata RHSA-2021:2438 0 None None None 2021-07-27 22:44:07 UTC

Description ralpert 2021-02-11 19:25:34 UTC
Description of problem:
The duration dropdown in the Cluster Utilization dashboard is not internationalized.

Version-Release number of selected component (if applicable):
4.7

How reproducible:
Always.

Steps to Reproduce:
1. Go to home page and scroll down to the Cluster Utilization dashboard.

Actual results:
Duration dropdown is not internationalized.

Expected results:
Dropdown should be internationalized.

Comment 3 Yanping Zhang 2021-03-29 05:40:00 UTC
Checked on ocp 4.8 cluster with payload 4.8.0-0.ci-2021-03-28-220420. Check on overview page with "?pseudolocalization=true&lng=en string" at the end of the url, the during string are marked for translation.

Comment 4 Yanping Zhang 2021-03-29 05:41:23 UTC
Created attachment 1767241 [details]
i18n-duration

Comment 7 errata-xmlrpc 2021-07-27 22:43:44 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.8.2 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:2438


Note You need to log in before you can comment on or make changes to this bug.